import { jsx } from "react/jsx-runtime";
import { TokenVIS as TokenVIS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenVIS = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "VIS", "data-name": "TokenVIS", ...props, children: /* @__PURE__ */ jsx(TokenVIS$1, { variant }) });
  }
);
TokenVIS.displayName = "TokenVIS";
Object.assign(TokenVIS, { isGdsIcon: true });
export {
  TokenVIS
};
